<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования типа поставки.
 *
 * Файл: /admin/shop/action/add_type_of_delivery.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */

$param = array();
$db = & singleton('DataBase');
if (isset($_REQUEST['edit_type_of_delivery']))
{
	$param['id'] = to_int($_REQUEST['edit_type_of_delivery']);
}
$param['name'] = to_str($_REQUEST['type_of_delivery_name']);
$param['description'] = to_str($_REQUEST['type_of_delivery_description']);
$param['shop_type_of_delivery_order'] = to_str($_REQUEST['shop_type_of_delivery_order']);

/* Идентификатор магазина */
$param['shop_shops_id'] = to_int($_REQUEST['shop_shops_id']);

if (isset($_REQUEST['edit_type_of_delivery']))
{
	$type_of_delivery_id = $param['id'];

	// Файл изображения не передан, формируем запрос на получение файла старого изображения
	if (!isset($_FILES['name']))
	{
		$res = $shop->GetTypeOfDelivery($type_of_delivery_id);

		$param['image'] = $res['shop_type_of_delivery_image'];
	}
}

$type_of_delivery_id = $shop->InsertTypeOfDelivery($param);

$admin_forms = new admin_forms();
$window_id = $admin_forms->GetWindowId();
?><script type="text/javascript">
$.appendInput('<?php echo $window_id?>', 'EditAddTypeOfDelivery', 'edit_type_of_delivery', '<?php echo $type_of_delivery_id?>');
</script><?php

$param_of_picture = array();

if ($type_of_delivery_id)
{
	if (isset($_FILES['type_of_delivery_image']['name']) && $_FILES['type_of_delivery_image']['name'] != '')
	{
		// Путь к файлу источнику большого изображения
		$param_of_picture['path_source_big_image'] = to_str($_FILES['type_of_delivery_image']['tmp_name']);

		// Оригинальное имя файла большого изображения
		$param_of_picture['original_file_name_big_image'] = to_str($_FILES['type_of_delivery_image']['name']);

		// Максимальная ширина большого изображения
		$param_of_picture['max_width_big_image'] = to_int($_REQUEST['big_image_max_width_type_of_delivery_image']);

		// Маскимальная высота большого изображения
		$param_of_picture['max_height_big_image'] = to_int($_REQUEST['big_image_max_height_type_of_delivery_image']);

		// Определяем расширения файла большого изображения
		$exp = mb_strtolower($kernel->GetExtension($_FILES['type_of_delivery_image']['name']));

		$dir_name = CMS_FOLDER . UPLOADDIR . 'shop_' . $_REQUEST['shop_shops_id'] . '/types_of_delivery';

		if (!is_dir($dir_name))
		{
			@mkdir($dir_name);
		}

		// Получаем имя файла большого изображение
		$fname_big = CMS_FOLDER . UPLOADDIR . 'shop_' . $_REQUEST['shop_shops_id'] . '/types_of_delivery/' . 'shop_type_of_delivery_image' . $type_of_delivery_id . '.' . $exp;

		// Путь к создаваемому файлу большого изображения
		$param_of_picture['path_target_big_image'] = to_str($fname_big);

		$param_of_picture['use_big_image'] = 0;

		// Вызываем метод сохранения изображений
		$result = $kernel->AdminLoadFiles($param_of_picture);

		// Если метод вернул путь к большому изображению, следует извлечь из этого пути название файла
		if ($result['big_image'])
		{
			$shop_group_image = basename($param_of_picture['path_target_big_image']);

			$query = "UPDATE `shop_type_of_delivery_table` SET `shop_type_of_delivery_image` = '$shop_group_image' WHERE `shop_type_of_delivery_id` = '$type_of_delivery_id'";

			$DataBase->query($query);
		}
	}
	//////////////////////////////

	if (!isset($_REQUEST['edit_type_of_delivery']))
	{
		show_message($GLOBALS['MSG_shops']['success_add_type_of_delivery']);

	}
	else
	{
		show_message($GLOBALS['MSG_shops']['success_edit_type_of_delivery']);
	}
}
else
{
	show_error_message($GLOBALS['MSG_shops']['error_add_type_of_delivery']);
}

?>